message.h File Reference

Functions for sending message to monitor. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <string.h>`
Include dependency graph for message.h:

Go to the source code of this file.

## Classes

struct | MessageToMon

## Functions

void | set_msgToMon_header (MessageToMon *msg, char *header)
| Set header part of monitor message. More...
void | set_msgToMon_data (MessageToMon *msg, void *data)
| Set data part of monitor message. More...
void | free_msgToMon_data (MessageToMon *msg)
| Dealocate moemory pointed by data part of message. More...
void | print_msgToMon (MessageToMon *msg)
| Print message, header and data. More...

## Detailed Description

Functions for sending message to monitor.

Author
  PE.Hladik

Version
  1.0

Date
  06/06/2017

Definition in file message.h.

## Function Documentation

## free_msgToMon_data()

void free_msgToMon_data | ( | MessageToMon * | msg | ) |

Dealocate moemory pointed by data part of message.

## print_msgToMon()

void print_msgToMon | ( | MessageToMon * | msg | ) |

Print message, header and data.

## set_msgToMon_data()

void set_msgToMon_data | ( | MessageToMon * | msg,
|  | void * | data
| ) |  |

Set data part of monitor message.

## set_msgToMon_header()

void set_msgToMon_header | ( | MessageToMon * | msg,
|  | char * | header
| ) |  |

Set header part of monitor message.